Namespace
elastic
Image / Tag
filebeat:sha256-3c0929668d44c09ed090345c9d46a12a6f173bd89367453ce57d2448c8019578
Content Digest
sha256:3c0929668d44c09ed090345c9d46a12a6f173bd89367453ce57d2448c8019578
Details
Created

2026-06-18 09:05:55 UTC

Size

116 MB

Content Digest
Labels
  • architecture
    aarch64
  • build-date
    2026-06-15T04:15:31Z
  • com.redhat.component
    ubi9-minimal-container
  • com.redhat.license_terms
    https://www.redhat.com/en/about/red-hat-end-user-license-agreements#UBI
  • cpe
    cpe:/a:redhat:enterprise_linux:9::appstream
  • description
    Filebeat sends log files to Logstash or directly to Elasticsearch.
  • distribution-scope
    public
  • io.buildah.version
    1.42.2
  • io.k8s.description
    Filebeat sends log files to Logstash or directly to Elasticsearch.
  • io.k8s.display-name
    Filebeat image
  • io.openshift.expose-services
  • io.openshift.tags
    minimal rhel9
  • license
    Elastic License
  • maintainer
    infra@elastic.co
  • name
    filebeat
  • org.label-schema.build-date
    2026-06-18T08:52:11Z
  • org.label-schema.license
    Elastic License
  • org.label-schema.name
    filebeat
  • org.label-schema.schema-version
    1.0
  • org.label-schema.url
    https://www.elastic.co/beats/filebeat
  • org.label-schema.vcs-ref
    c170581424b37deb2b4649dfdbd7fb03b526116b
  • org.label-schema.vcs-url
    github.com/elastic/beats/v7
  • org.label-schema.vendor
    Elastic
  • org.label-schema.version
    9.3.6
  • org.opencontainers.image.authors
    infra@elastic.co
  • org.opencontainers.image.created
    2026-06-18T08:52:11Z
  • org.opencontainers.image.licenses
    Elastic License
  • org.opencontainers.image.revision
    92938083b76077787596c980f5cdc39e89c50a24
  • org.opencontainers.image.title
    Filebeat
  • org.opencontainers.image.vendor
    Elastic
  • release
    1
  • summary
    filebeat
  • url
    https://www.elastic.co/beats/filebeat
  • vcs-ref
    92938083b76077787596c980f5cdc39e89c50a24
  • vcs-type
    git
  • vendor
    Elastic
  • version
    9.3.6

Environment
ELASTIC_CONTAINER

true

GODEBUG

madvdontneed=1

LIBBEAT_MONITORING_CGROUPS_HIERARCHY_OVERRIDE

/

PATH

/usr/share/filebeat:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

container

oci


Layers

[#000] sha256:8cb42033671260f2992db8102da074a2b434baf01192c36facac54fe69e5ea91 - 31.99% (37.1 MB)

[#001] sha256:68d18503426b25f253d2a5214705360ffe6e3f31fcc6fc82abed1403fbee336e - 0.01% (9.06 KB)

[#002] sha256:591453113b95d075c8fdfbf22332d33263e9fe5c8446815d176b812e950bf44b - 0.0% (608 Bytes)

[#003] sha256:0056f41e1d584e9c063f3b7d2bf3b22251ef3662184ebc05c1c6310deefb75c7 - 0.0% (616 Bytes)

[#004] sha256:a6f1f27082daaaf7eaadc1d5d2695063d160f648759810ec51e653f6351ce687 - 52.61% (61 MB)

[#005] sha256:d6650bdae333a2f65c8c07580e3069ee998b4bc60a55ce28d87582909dab87fc - 0.0% (123 Bytes)

[#006] sha256:adca23af6e7eb74de615f8103d9a8268e02abb3a8c73c680459be744854b238e - 0.0% (5.42 KB)

[#007] sha256:18c6cd4b9de2fd13118765a88a960fe6b6d76494425e164ee0c1263cc86cff47 - 0.19% (225 KB)

[#008] sha256:5642e8b9c7668babb4dcdc2bc0510ec0b7fbba9191885c1b993711df9b23e792 - 0.0% (507 Bytes)

[#009] sha256:028c2871c9eb5832f65610d1732d904168affa0ccbacc9d1550bd3f2f0619a5f - 0.0% (1.1 KB)

[#010] sha256:55763469435a1d623143cad4c5d7b91ac3a8f051b2a9e95dca9d05ff868f0a4b - 15.19% (17.6 MB)

[#011] sha256:bd9ddc54bea929a22b334e73e026d4136e5b73f5cc29942896c72e4ece69b13d - 0.0% (34 Bytes)


History
2026-06-15 04:15:43 UTC

/bin/sh -c #(nop) LABEL maintainer="Red Hat, Inc."

2026-06-15 04:15:43 UTC

/bin/sh -c #(nop) LABEL vendor="Red Hat, Inc."

2026-06-15 04:15:43 UTC

/bin/sh -c #(nop) LABEL url="https://catalog.redhat.com/en/search?searchType=containers"

2026-06-15 04:15:43 UTC

/bin/sh -c #(nop) LABEL com.redhat.component="ubi9-minimal-container" name="ubi9/ubi-minimal" version="9.8" cpe="cpe:/a:redhat:enterprise_linux:9::appstream" distribution-scope="public"

2026-06-15 04:15:43 UTC

/bin/sh -c #(nop) LABEL com.redhat.license_terms="https://www.redhat.com/en/about/red-hat-end-user-license-agreements#UBI"

2026-06-15 04:15:43 UTC

/bin/sh -c #(nop) LABEL summary="Provides the latest release of the minimal Red Hat Universal Base Image 9."

2026-06-15 04:15:43 UTC

/bin/sh -c #(nop) LABEL description="The Universal Base Image Minimal is a stripped down image that uses microdnf as a package manager. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly."

2026-06-15 04:15:43 UTC

/bin/sh -c #(nop) LABEL io.k8s.description="The Universal Base Image Minimal is a stripped down image that uses microdnf as a package manager. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly."

2026-06-15 04:15:43 UTC

/bin/sh -c #(nop) LABEL io.k8s.display-name="Red Hat Universal Base Image 9 Minimal"

2026-06-15 04:15:43 UTC

/bin/sh -c #(nop) LABEL io.openshift.expose-services=""

2026-06-15 04:15:43 UTC

/bin/sh -c #(nop) LABEL io.openshift.tags="minimal rhel9"

2026-06-15 04:15:43 UTC

/bin/sh -c #(nop) ENV container oci

2026-06-15 04:15:44 UTC

/bin/sh -c #(nop) COPY dir:553346a2ec24f0a482095311bcf74fe382a66c8cb976ea0b61f6d55ee917aca4 in /

2026-06-15 04:15:44 UTC

/bin/sh -c #(nop) COPY file:1376702515d596f414e3aa494e0daa6d408a6d2475c4aeca96bf9392f5287f69 in /etc/yum.repos.d/.

2026-06-15 04:15:44 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2026-06-15 04:15:45 UTC

/bin/sh -c #(nop) COPY file:93583a9ebbaeff1e36b48820b647eea1eef523f6627dacfb0b21af79f5a41b35 in /usr/share/buildinfo/content-sets.json

2026-06-15 04:15:45 UTC

/bin/sh -c #(nop) COPY file:93583a9ebbaeff1e36b48820b647eea1eef523f6627dacfb0b21af79f5a41b35 in /root/buildinfo/content_manifests/content-sets.json

2026-06-15 04:15:45 UTC

/bin/sh -c #(nop) COPY file:f3a7d39ee1404b5d93b5454e6014ed02f219e8a196f3df41d84d2e0e61c935f5 in /usr/share/buildinfo/labels.json

2026-06-15 04:15:45 UTC

/bin/sh -c #(nop) COPY file:f3a7d39ee1404b5d93b5454e6014ed02f219e8a196f3df41d84d2e0e61c935f5 in /root/buildinfo/labels.json

2026-06-15 04:15:45 UTC

/bin/sh -c #(nop) LABEL "architecture"="aarch64" "vcs-type"="git" "vcs-ref"="92938083b76077787596c980f5cdc39e89c50a24" "org.opencontainers.image.revision"="92938083b76077787596c980f5cdc39e89c50a24" "build-date"="2026-06-15T04:15:31Z" "org.opencontainers.image.created"="2026-06-15T04:15:31Z" "release"="1781496742"org.opencontainers.image.revision=92938083b76077787596c980f5cdc39e89c50a24,org.opencontainers.image.created=2026-06-15T04:15:31Z

2026-06-18 09:05:29 UTC (buildkit.dockerfile.v0)

LABEL org.label-schema.build-date=2026-06-18T08:52:11Z org.label-schema.schema-version=1.0 org.label-schema.vendor=Elastic org.label-schema.license=Elastic License org.label-schema.name=filebeat org.label-schema.version=9.3.6 org.label-schema.url=https://www.elastic.co/beats/filebeat org.label-schema.vcs-url=github.com/elastic/beats/v7 org.label-schema.vcs-ref=c170581424b37deb2b4649dfdbd7fb03b526116b io.k8s.description=Filebeat sends log files to Logstash or directly to Elasticsearch. io.k8s.display-name=Filebeat image org.opencontainers.image.created=2026-06-18T08:52:11Z org.opencontainers.image.licenses=Elastic License org.opencontainers.image.title=Filebeat org.opencontainers.image.vendor=Elastic org.opencontainers.image.authors=infra@elastic.co maintainer=infra@elastic.co name=filebeat vendor=Elastic version=9.3.6 release=1 url=https://www.elastic.co/beats/filebeat summary=filebeat license=Elastic License description=Filebeat sends log files to Logstash or directly to Elasticsearch.

2026-06-18 09:05:29 UTC (buildkit.dockerfile.v0)

ENV ELASTIC_CONTAINER=true

2026-06-18 09:05:29 UTC (buildkit.dockerfile.v0)

ENV PATH=/usr/share/filebeat:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2026-06-18 09:05:29 UTC (buildkit.dockerfile.v0)

ENV GODEBUG=madvdontneed=1

2026-06-18 09:05:29 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -e ; TINI_BIN=""; TINI_SHA256=""; TINI_VERSION="v0.19.0"; echo "The arch value is $(arch)"; case "$(arch)" in x86_64) TINI_BIN="tini-amd64"; TINI_SHA256="93dcc18adc78c65a028a84799ecf8ad40c936fdfc5f2a57b1acda5a8117fa82c"; ;; aarch64) TINI_BIN="tini-arm64"; TINI_SHA256="07952557df20bfd2a95f9bef198b445e006171969499a1d361bd9e6f8e5e0e81"; ;; *) echo >&2 ; echo >&2 "Unsupported architecture \$(arch)" ; echo >&2 ; exit 1 ; ;; esac ; curl --retry 8 -S -L -O "https://github.com/krallin/tini/releases/download/${TINI_VERSION}/${TINI_BIN}" ; echo "${TINI_SHA256} ${TINI_BIN}" | sha256sum -c - ; mv "${TINI_BIN}" /usr/bin/tini ; chmod +x /usr/bin/tini # buildkit

2026-06-18 09:05:30 UTC (buildkit.dockerfile.v0)

COPY docker-entrypoint /usr/local/bin/docker-entrypoint # buildkit

2026-06-18 09:05:32 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c chmod 755 /usr/local/bin/docker-entrypoint # buildkit

2026-06-18 09:05:47 UTC (buildkit.dockerfile.v0)

COPY /usr/share/filebeat /usr/share/filebeat # buildkit

2026-06-18 09:05:47 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c mkdir /licenses # buildkit

2026-06-18 09:05:47 UTC (buildkit.dockerfile.v0)

COPY /usr/share/filebeat/LICENSE.txt /licenses # buildkit

2026-06-18 09:05:49 UTC (buildkit.dockerfile.v0)

COPY /usr/share/filebeat/NOTICE.txt /licenses # buildkit

2026-06-18 09:05:49 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c groupadd --gid 1000 filebeat # buildkit

2026-06-18 09:05:50 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c useradd -M --uid 1000 --gid 1000 --groups 0 --home /usr/share/filebeat filebeat # buildkit

2026-06-18 09:05:55 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c for iter in {1..10}; do microdnf -y update && microdnf -y install systemd && microdnf clean all && exit_code=0 && break || exit_code=$? && echo "microdnf error: retry $iter in 10s" && sleep 10; done; (exit $exit_code) # buildkit

2026-06-18 09:05:55 UTC (buildkit.dockerfile.v0)

USER 1000

2026-06-18 09:05:55 UTC (buildkit.dockerfile.v0)

ENV LIBBEAT_MONITORING_CGROUPS_HIERARCHY_OVERRIDE=/

2026-06-18 09:05:55 UTC (buildkit.dockerfile.v0)

WORKDIR /usr/share/filebeat

2026-06-18 09:05:55 UTC (buildkit.dockerfile.v0)

ENTRYPOINT ["/usr/bin/tini" "--" "/usr/local/bin/docker-entrypoint"]

2026-06-18 09:05:55 UTC (buildkit.dockerfile.v0)

CMD ["--environment" "container"]

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete